Skip to main content
GET
/
v1
/
grids
List Grids
curl --request GET \
  --url https://api.example.com/v1/grids
{
  "page": 123,
  "page_size": 123,
  "total": 123,
  "has_more": true,
  "grids": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "status": "<string>",
      "row_count": 123,
      "column_count": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "tags": [
        "<string>"
      ]
    }
  ]
}

Query Parameters

page
integer
default:1
Required range: x >= 1
page_size
integer
default:20
Required range: 1 <= x <= 100

Response

Successful Response

GET /v1/grids — page/page_size paginated list of the caller's grids.

page
integer
required
page_size
integer
required
total
integer
required
has_more
boolean
required
grids
GridListItem · object[]